Package org.jfree.layouting.input.style

## Class StyleRule

- java.lang.Object
- - org.jfree.layouting.input.style.StyleRule

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`
  Direct Known Subclasses:
    `CSSCharsetRule`, `CSSDeclarationRule`, `CSSImportRule`, `CSSUnknownStyleRule`

      public abstract class StyleRule
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  Creation-Date: 23.11.2005, 10:50:15
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StyleRule​(StyleKeyRegistry styleKeyRegistry)` |
    `protected` | `StyleRule​(StyleSheet parentStyle, StyleRule parentRule)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `StyleRule` | `getParentRule​()` |
    `StyleSheet` | `getParentStyle​()` |
    `StyleKeyRegistry` | `getStyleKeyRegistry​()` |
    `boolean` | `isReadOnly​()` |
    `void` | `makeReadOnly​()` |
    `protected void` | `setParentRule​(StyleRule parentRule)` |
    `protected void` | `setParentStyle​(StyleSheet parentStyle)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleRule

          protected StyleRule​(StyleKeyRegistry styleKeyRegistry)

    - #### StyleRule

          protected StyleRule​(StyleSheet parentStyle,
                              StyleRule parentRule)

  - ### Method Detail

    - #### getStyleKeyRegistry

          public StyleKeyRegistry getStyleKeyRegistry​()

    - #### getParentStyle

          public StyleSheet getParentStyle​()

    - #### getParentRule

          public StyleRule getParentRule​()

    - #### setParentStyle

          protected void setParentStyle​(StyleSheet parentStyle)

    - #### setParentRule

          protected void setParentRule​(StyleRule parentRule)

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### makeReadOnly

          public final void makeReadOnly​()

    - #### isReadOnly

          public final boolean isReadOnly​()